AnsweredAssumed Answered

Orientation to origin API

Question asked by Kai Jordan on Jan 15, 2017
Latest reply on Jan 18, 2017 by William Cruz

Hi Guys

The example shows the simple selection of a part or an assembly.

I do not want to select an item.

I want to select many element.

I find in the API help is not the right solution maybe somebody help me.

Here is the example:

 

This example shows how to align an assembly component to the assembly origin and planes.

 

'--------------------------------

' Preconditions: Assembly document is open and

'                an assembly component is selected.

'

' Postconditions: Selected assembly component is

'                aligned to the assembly origin and planes.

'--------------------------------

Option Explicit

 

Sub main()

    Dim swApp                   As SldWorks.SldWorks

    Dim swMathUtil              As SldWorks.MathUtility

    Dim swModel                 As SldWorks.ModelDoc2

    Dim swSelMgr                As SldWorks.SelectionMgr

    Dim swComp                  As SldWorks.Component2

    Dim swXform                 As SldWorks.MathTransform

    Dim i                       As Long

    Dim bRet                    As Boolean

   

    Set swApp = Application.SldWorks

    Set swMathUtil = swApp.GetMathUtility

    Set swModel = swApp.ActiveDoc

    Set swSelMgr = swModel.SelectionManager

    Set swComp = swSelMgr.GetSelectedObjectsComponent3(1, 0)

    Set swXform = swMathUtil.CreateTransform(Nothing)    ' create unit transform

   

    swComp.Transform2 = swXform

   

    ' Rebuild to see updated transform

    bRet = swModel.EditRebuild3: Debug.Assert bRet

End Sub

'---------------------------------------

 

Greetings Kai Jordan

 

 

Outcomes